Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest
Class Jms

    java.lang.Object
      org.hornetq.rest.Jms

    public class Jms

extends java.lang.Object

Version:
  $Revision: 1 $
Author:
  Bill Burke

Constructor Summary
`Jms()`

Method Summary
`static
`<T> T`
` | `getEntity(javax.jms.Message message, java.lang.Class<T> type)` Extract an object using a built-in RESTEasy JAX-RS MessageBodyReader
`static
`<T> T`
` | `getEntity(javax.jms.Message message, java.lang.Class<T> type, org.jboss.resteasy.spi.ResteasyProviderFactory factory)` Extract an object using a built-in RESTEasy JAX-RS MessageBodyReader
`static
`<T> T`
` | `getEntity(javax.jms.Message message, java.lang.Class<T> type, java.lang.reflect.Type genericType, org.jboss.resteasy.spi.ResteasyProviderFactory factory)` Extract an object using a built-in RESTEasy JAX-RS MessageBodyReader
`static
`<T> T`
` | `getEntity(javax.jms.Message message, org.jboss.resteasy.util.GenericType<T> type, org.jboss.resteasy.spi.ResteasyProviderFactory factory)` Extract an object using a built-in RESTEasy JAX-RS MessageBodyReader
`static java.lang.String` | `getHttpHeader(javax.jms.Message message, java.lang.String name)` Get an HTTP header value from a JMS Message
`static boolean` | `isHttpMessage(javax.jms.Message message)`
`static void` | `setHttpHeader(javax.jms.Message message, java.lang.String name, java.lang.String value)` Set a JMS Message property to the value of an HTTP header

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jms

    public Jms()

Method Detail

### setHttpHeader

    public static void setHttpHeader(javax.jms.Message message,
                                     java.lang.String name,
                                     java.lang.String value)

  Set a JMS Message property to the value of an HTTP header

  Parameters:
    `message` -
    `name` -
    `value` -

### getHttpHeader

    public static java.lang.String getHttpHeader(javax.jms.Message message,
                                                 java.lang.String name)

  Get an HTTP header value from a JMS Message

  Parameters:
    `message` -
    `name` -
  Returns:

### getEntity

    public static <T> T getEntity(javax.jms.Message message,
                                  java.lang.Class<T> type)

  Extract an object using a built-in RESTEasy JAX-RS MessageBodyReader

  Type Parameters:
    `T` -
  Parameters:
    `message` -
    `type` -
  Returns:

### getEntity

    public static <T> T getEntity(javax.jms.Message message,
                                  java.lang.Class<T> type,
                                  org.jboss.resteasy.spi.ResteasyProviderFactory factory)

  Extract an object using a built-in RESTEasy JAX-RS MessageBodyReader

  Type Parameters:
    `T` -
  Parameters:
    `message` -
    `type` -
    `factory` -
  Returns:

### getEntity

    public static <T> T getEntity(javax.jms.Message message,
                                  org.jboss.resteasy.util.GenericType<T> type,
                                  org.jboss.resteasy.spi.ResteasyProviderFactory factory)
                       throws UnknownMediaType

  Extract an object using a built-in RESTEasy JAX-RS MessageBodyReader

  Type Parameters:
    `T` -
  Parameters:
    `message` -
    `type` -
    `factory` -
  Returns:
  Throws:
    `UnknownMediaType`
    `UnmarshalException`

### isHttpMessage

    public static boolean isHttpMessage(javax.jms.Message message)

### getEntity

    public static <T> T getEntity(javax.jms.Message message,
                                  java.lang.Class<T> type,
                                  java.lang.reflect.Type genericType,
                                  org.jboss.resteasy.spi.ResteasyProviderFactory factory)
                       throws UnknownMediaType

  Extract an object using a built-in RESTEasy JAX-RS MessageBodyReader

  Type Parameters:
    `T` -
  Parameters:
    `message` -
    `type` -
    `genericType` -
    `factory` -
  Returns:
  Throws:
    `UnknownMediaType`
    `UnmarshalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.